soelim(1)

Nume
soelim - intercalează recursiv cererile sursă în roff sau alte fișiere text

SINOPSIS
soelim [-Crt] [-I dir] [fișier-intrare ...]
soelim --help
soelim -v
soelim --version

Descriere
GNU soelim este un preprocesor pentru sistemul de formatare a documentelor groff(7) soelim funcționează ca un filtru pentru a elimina solicitările de sursă din fișierele de intrare roff(7) ; adică, înlocuiește liniile de forma „.so fișier-inclus” din fiecare text fișier-intrare cu conținutul lui fișier-inclus, în mod recursiv. În mod implicit, scrie și cereri lf (Dacă) pentru a înregistra numele și numărul de linie al fiecărui fișier de intrare și fișier inclus, astfel încât orice diagnostic produs de procesarea ulterioară să poată fi urmărit cu exactitate până la intrarea originală. Opțiunile permit ca aceste informații să fie suprimate (-r) sau să fie furnizate în comentarii TeX (-t). În absența argumentelor fișier-intrare, soelim citește fluxul de intrare standard. Ieșirea este scrisă în fluxul de ieșire standard.

În cazul în care numele unui fișier-macro conține o bară oblică inversă, utilizați \\ sau \e pentru a-o include. Pentru a include un spațiu, scrieți „\ ” (bara inversă urmată de un spațiu). Orice altă secvență de eludare din macro-file, inclusiv „\[rs]”, împiedică soelim să înlocuiască cererea sursă.

Punctul trebuie să se afle la începutul unei linii și trebuie să fie urmat de „so” fără spații intermediare sau tabulatoare pentru ca soelim să îl gestioneze. Această convenție permite ca cererile sursă să fie „protejate” de la procesarea de către soelim, de exemplu ca parte a definițiilor macro sau a cererilor „if”.

De asemenea, trebuie să existe cel puțin un spațiu între „so” și argumentul său fișier-macro. Opțiunea -C anulează această cerință.

Cele de mai sus reprezintă limita înțelegerii de către soelim a limbajului roff; aceasta nu înlocuiește, de exemplu, linia de intrare
        .if 1 .so otherfile
cu conținutul din alt-fișier. Prin urmare, cu opțiunea -r, soelim poate fi utilizat pentru a procesa fișiere text în general, pentru a aplatiza un arbore de documente de intrare.

soelim a fost conceput pentru a gestiona situațiile în care ținta unei cereri de sursă roff necesită un preprocesor cum ar fi eqn(1) , pic(1) , refer(1) , sau tbl(1) Secvența normală de procesare a lui groff(1) este următoarea:

              input        sourced
              file          file
                |             |
                ↓             ↓
            preprocessor → troff → postprocessor
                                          |
                                          ↓
                                       output
                                        file

Adică, fișierele care au ca sursă „so” sunt în mod normal citite doar de către formatorul, troff. soelim nu este necesar pentru troff la fișierele sursă.

Dacă un fișier care urmează să fie preluat trebuie, de asemenea, să fie preprocesat, acesta trebuie să fie deja citit înainte ca fișierul de intrare să treacă prin preprocesor. soelim, invocat în mod normal prin opțiunea -s a lui groff, se ocupă de acest lucru.

              input
              file
                |
                ↓
              soelim → preprocessor → troff → postprocessor
                ↑                                     |
                |                                     ↓
             sourced                               output
              file                                  file

Opțiuni
--help afișează un mesaj de utilizare, în timp ce -v și --version afișează informații despre versiune; toate acestea ies după aceea.

-C  Recunoaște o linie de intrare care începe cu .so chiar dacă urmează un alt caracter decât un spațiu sau o linie nouă.

-I director
    Caută în ruta directorului dir fișiere-de-intrare- și fișiere-incluse. -I poate fi specificată de mai multe ori; fiecare dir este căutat în ordinea dată. To search the current working directory before others, add “-I ." ” at the desired place; it is otherwise searched last.

-r  Scrie fișierele „raw” (brute); nu adaugă cereri lf.

-t  Emite linii de comentariu TeX care încep cu „%” indicând fișierul curent și numărul liniei, în loc de cereri lf în același scop.

În cazul în care sunt indicate atât -r, cât și -t, ultima specificată este cea care controlează.

Consultați și
groff(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.